//! A storage backend
//! RocksDB is available, if not in memory

#[cfg(not(target_family = "wasm"))]
pub use self::oxi_rocksdb::{
    ColumnFamily, ColumnFamilyDefinition, Db, Iter, Reader, SstFileWriter, Transaction,
};
#[cfg(target_family = "wasm")]
pub use fallback::{ColumnFamily, ColumnFamilyDefinition, Db, Iter, Reader, Transaction};

#[cfg(target_family = "wasm")]
mod fallback;
#[cfg(not(target_family = "wasm"))]
mod oxi_rocksdb;
